Page MenuHomePhabricator

decom install2001
Closed, ResolvedPublic

Description

install2001 was a physical server as opposed to other install* who are VMs.

It has been replaced by install2002 now.

Decom the physical machine, reclaim or recycle.

It's gone from DNS, except mgmt.

rackspace allocation
codfw row A :

A5

HW warranty expiration: 2015-08-29
Asset tag: wmf5815

decom steps

The warranty expired on this system on 2015-08-29.

  • - removed from all puppet references and monitoring
  • - production dns removed
  • - system powered down
  • - network port disabled
  • - disks wiped (by onsite)
  • - removed from rack (by @Papaul) & racktables updated
  • - added to tracking sheet of decommissioned hardware in codfw (by @Papaul)
  • - network port info (from asw-a-codfw ge-5/0/11) removed from switch (by @RobH)

Event Timeline

Dzahn created this task.Feb 10 2017, 9:31 PM
Dzahn added a comment.Feb 10 2017, 9:33 PM

removed from puppet https://gerrit.wikimedia.org/r/#/c/337084/

removed from install https://gerrit.wikimedia.org/r/#/c/336959/

ganglia switched https://gerrit.wikimedia.org/r/#/c/336362/

etc..

21:27 mutante: install1001, install2001 - removed from Icinga, shutting down (T84380, T132757)
21:18 mutante: install1001, install2001 - revoke puppet certs, puppet node deactivate, delete salt keys (T84380, T132757)

Change 337093 had a related patch set uploaded (by Dzahn):
remove install1001 and install2001, keep 2001 mgmt

https://gerrit.wikimedia.org/r/337093

Change 337093 merged by Dzahn:
remove install1001 and install2001, keep 2001 mgmt

https://gerrit.wikimedia.org/r/337093

Dzahn removed Dzahn as the assignee of this task.Feb 10 2017, 10:20 PM
Dzahn updated the task description. (Show Details)
Dzahn removed a project: Patch-For-Review.
Dzahn added a project: ops-codfw.
RobH assigned this task to Papaul.Feb 10 2017, 10:36 PM
RobH updated the task description. (Show Details)

Change 337199 had a related patch set uploaded (by Dzahn):
delete install1001/2001 from Hiera data

https://gerrit.wikimedia.org/r/337199

Change 337199 merged by Dzahn:
delete install1001/2001 from Hiera data

https://gerrit.wikimedia.org/r/337199

Disk wipe in progress

Dzahn added a comment.Feb 13 2017, 6:55 PM

removed from servermon along with install1001

Papaul updated the task description. (Show Details)Feb 14 2017, 5:03 PM
Papaul reassigned this task from Papaul to RobH.Feb 17 2017, 4:41 PM

The server has been removed from rack and added to decommission sheet.

RobH closed this task as Resolved.Feb 17 2017, 9:52 PM

Ok, resolving this task, as I just removed install2001 from the description of the disabled port asw-a-codfw:ge-5/0/11. I also removed it from the public vlan (so it has no vlan, and thus no routing capability.)

RobH updated the task description. (Show Details)Feb 17 2017, 9:52 PM